from abc import ABC, abstractmethod
from typing import Dict

from ws_metrics.schema import AbstractTextFile


class RTemplate(ABC):
    """Generic methods for report template rendering"""

    # @abstractmethod
    # def template(self) -> Template:
    #     pass

    @abstractmethod
    def render_template(self, title: str, data: Dict) -> AbstractTextFile:
        pass
